import type { DataService } from 'mongodb-data-service';
import type AppRegistry from 'hadron-app-registry';
export type IndexesDataService = Pick<DataService, 'indexes' | 'isConnected' | 'updateCollection' | 'createIndex' | 'dropIndex' | 'getSearchIndexes' | 'createSearchIndex' | 'updateSearchIndex' | 'dropSearchIndex'>;
export type ConfigureStoreOptions = {
    dataProvider: {
        dataProvider?: IndexesDataService;
    };
    namespace: string;
    localAppRegistry: AppRegistry;
    globalAppRegistry: AppRegistry;
    serverVersion: string;
    isReadonly: boolean;
    isSearchIndexesSupported: boolean;
};
declare const configureStore: (options: ConfigureStoreOptions) => import("redux").Store<import("redux").EmptyObject & {
    isWritable: boolean;
    isReadonlyView: boolean;
    indexView: import("../modules/index-view").IndexView;
    description: any;
    dataService: IndexesDataService | null;
    serverVersion: string;
    namespace: string;
    regularIndexes: import("../modules/regular-indexes").State;
    searchIndexes: import("../modules/search-indexes").State;
    fields: import("../modules/fields").Field[];
}, import("redux").AnyAction | {
    type: import("../modules/data-service").ActionTypes;
    dataService: IndexesDataService;
} | {
    type: string;
    version: string;
}> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, {
        localAppRegistry: AppRegistry;
        globalAppRegistry: AppRegistry;
    }, import("redux").AnyAction>;
};
export default configureStore;
//# sourceMappingURL=store.d.ts.map